package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
//        try {
//            if (processBA.subExists("activity_actionbarhomeclick")) {
//                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
//                    getClass().getMethod("getActionBar").invoke(this), true);
//                BA.Log("adding event");
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
		return true;
	}   
// @Override
// public boolean onOptionsItemSelected(android.view.MenuItem item) {
//    if (item.getItemId() == 16908332) {
//        processBA.raiseEvent(null, "activity_actionbarhomeclick");
//        return true;
//    }
//    else
//        return super.onOptionsItemSelected(item); 
//}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnldialogacccmp = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnaddpersnaccused = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btncancelpersonaccused = null;
public anywheresoftware.b4a.objects.EditTextWrapper _editdlgaccph = null;
public anywheresoftware.b4a.objects.EditTextWrapper _editdlgacusedname = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbldialogaccname = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbldialogaccph = null;
public anywheresoftware.b4a.objects.ListViewWrapper _lvdialogaccperson = null;
  public Object[] GetGlobals() {
		return new Object[] {"Activity",mostCurrent._activity,"BtnAddPersnAccused",mostCurrent._btnaddpersnaccused,"BtnCancelPersonAccused",mostCurrent._btncancelpersonaccused,"EditDlgAccPh",mostCurrent._editdlgaccph,"EditDlgAcusedName",mostCurrent._editdlgacusedname,"LblDialogAccName",mostCurrent._lbldialogaccname,"LblDialogAccPh",mostCurrent._lbldialogaccph,"LvDialogAccPerson",mostCurrent._lvdialogaccperson,"PnlDialogAccCmp",mostCurrent._pnldialogacccmp};
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

}
public static String  _activity_create(boolean _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,mostCurrent.activityBA,mostCurrent,35);
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _bmpdialogaddpersn = null;
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 35;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(4);
 BA.debugLineNum = 37;BA.debugLine="Activity.LoadLayout(\"Layout1\")";
Debug.ShouldStop(16);
mostCurrent._activity.LoadLayout("Layout1",mostCurrent.activityBA);
 BA.debugLineNum = 39;BA.debugLine="Dim BmpDialogAddPersn As Bitmap";
Debug.ShouldStop(64);
_bmpdialogaddpersn = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();Debug.locals.put("BmpDialogAddPersn", _bmpdialogaddpersn);
 BA.debugLineNum = 40;BA.debugLine="LvDialogAccPerson.Initialize(\"LvDialogAccPerson\")";
Debug.ShouldStop(128);
mostCurrent._lvdialogaccperson.Initialize(mostCurrent.activityBA,"LvDialogAccPerson");
 BA.debugLineNum = 42;BA.debugLine="EditDlgAcusedName.Initialize(\"EditDlgAcusedName\")";
Debug.ShouldStop(512);
mostCurrent._editdlgacusedname.Initialize(mostCurrent.activityBA,"EditDlgAcusedName");
 BA.debugLineNum = 43;BA.debugLine="EditDlgAccPh.Initialize(\"EditDlgAccPh\")";
Debug.ShouldStop(1024);
mostCurrent._editdlgaccph.Initialize(mostCurrent.activityBA,"EditDlgAccPh");
 BA.debugLineNum = 44;BA.debugLine="EditDlgAcusedName.InputType=EditDlgAcusedName.INPUT_TYPE_NONE";
Debug.ShouldStop(2048);
mostCurrent._editdlgacusedname.setInputType(mostCurrent._editdlgacusedname.INPUT_TYPE_NONE);
 BA.debugLineNum = 45;BA.debugLine="EditDlgAccPh.InputType=EditDlgAccPh.INPUT_TYPE_PHONE";
Debug.ShouldStop(4096);
mostCurrent._editdlgaccph.setInputType(mostCurrent._editdlgaccph.INPUT_TYPE_PHONE);
 BA.debugLineNum = 46;BA.debugLine="LblDialogAccPh.Initialize(\"LblDialogAccPh\")";
Debug.ShouldStop(8192);
mostCurrent._lbldialogaccph.Initialize(mostCurrent.activityBA,"LblDialogAccPh");
 BA.debugLineNum = 47;BA.debugLine="LblDialogAccName.Initialize(\"LblDialogAccName\")";
Debug.ShouldStop(16384);
mostCurrent._lbldialogaccname.Initialize(mostCurrent.activityBA,"LblDialogAccName");
 BA.debugLineNum = 48;BA.debugLine="PnlDialogAccCmp.Initialize(\"PnlDialogAccCmp\")";
Debug.ShouldStop(32768);
mostCurrent._pnldialogacccmp.Initialize(mostCurrent.activityBA,"PnlDialogAccCmp");
 BA.debugLineNum = 49;BA.debugLine="LblDialogAccName.Text=\"Name\"";
Debug.ShouldStop(65536);
mostCurrent._lbldialogaccname.setText((Object)("Name"));
 BA.debugLineNum = 50;BA.debugLine="LblDialogAccName.TextColor=Colors.White";
Debug.ShouldStop(131072);
mostCurrent._lbldialogaccname.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 51;BA.debugLine="LblDialogAccName.TextSize=20";
Debug.ShouldStop(262144);
mostCurrent._lbldialogaccname.setTextSize((float) (20));
 BA.debugLineNum = 52;BA.debugLine="LblDialogAccPh.Text=\"Phone\"";
Debug.ShouldStop(524288);
mostCurrent._lbldialogaccph.setText((Object)("Phone"));
 BA.debugLineNum = 53;BA.debugLine="LblDialogAccPh.TextColor=Colors.White";
Debug.ShouldStop(1048576);
mostCurrent._lbldialogaccph.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 54;BA.debugLine="LblDialogAccPh.TextSize=20";
Debug.ShouldStop(2097152);
mostCurrent._lbldialogaccph.setTextSize((float) (20));
 BA.debugLineNum = 55;BA.debugLine="BtnAddPersnAccused.Initialize(\"BtnAddPersnAccused\")";
Debug.ShouldStop(4194304);
mostCurrent._btnaddpersnaccused.Initialize(mostCurrent.activityBA,"BtnAddPersnAccused");
 BA.debugLineNum = 56;BA.debugLine="BtnCancelPersonAccused.Initialize(\"BtnCancelPersonAccused\")";
Debug.ShouldStop(8388608);
mostCurrent._btncancelpersonaccused.Initialize(mostCurrent.activityBA,"BtnCancelPersonAccused");
 BA.debugLineNum = 60;BA.debugLine="PnlDialogAccCmp.AddView(LblDialogAccName,5%x,0%x,30%x,10%x)";
Debug.ShouldStop(134217728);
mostCurrent._pnldialogacccmp.AddView((android.view.View)(mostCurrent._lbldialogaccname.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
 BA.debugLineNum = 61;BA.debugLine="PnlDialogAccCmp.AddView(EditDlgAcusedName,25%x,0%x,43%x,12%x)";
Debug.ShouldStop(268435456);
mostCurrent._pnldialogacccmp.AddView((android.view.View)(mostCurrent._editdlgacusedname.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (25),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (43),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (12),mostCurrent.activityBA));
 BA.debugLineNum = 62;BA.debugLine="PnlDialogAccCmp.AddView(LblDialogAccPh,5%x,18%x,30%x,10%x)";
Debug.ShouldStop(536870912);
mostCurrent._pnldialogacccmp.AddView((android.view.View)(mostCurrent._lbldialogaccph.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (18),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA));
 BA.debugLineNum = 63;BA.debugLine="PnlDialogAccCmp.AddView(EditDlgAccPh,25%x,18%x,43%x,12%x)";
Debug.ShouldStop(1073741824);
mostCurrent._pnldialogacccmp.AddView((android.view.View)(mostCurrent._editdlgaccph.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (25),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (18),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (43),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (12),mostCurrent.activityBA));
 BA.debugLineNum = 64;BA.debugLine="PnlDialogAccCmp.AddView(LvDialogAccPerson,5%x,19%x,80%x,50%x)";
Debug.ShouldStop(-2147483648);
mostCurrent._pnldialogacccmp.AddView((android.view.View)(mostCurrent._lvdialogaccperson.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (19),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (80),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (50),mostCurrent.activityBA));
 BA.debugLineNum = 65;BA.debugLine="PnlDialogAccCmp.AddView(BtnAddPersnAccused,5%x,20%x,30%x,12%x)";
Debug.ShouldStop(1);
mostCurrent._pnldialogacccmp.AddView((android.view.View)(mostCurrent._btnaddpersnaccused.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (12),mostCurrent.activityBA));
 BA.debugLineNum = 66;BA.debugLine="PnlDialogAccCmp.AddView(BtnCancelPersonAccused,25%x,20%x,30%x,12%x)";
Debug.ShouldStop(2);
mostCurrent._pnldialogacccmp.AddView((android.view.View)(mostCurrent._btncancelpersonaccused.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (25),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (12),mostCurrent.activityBA));
 BA.debugLineNum = 68;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,mostCurrent.activityBA,mostCurrent,74);
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 74;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(512);
 BA.debugLineNum = 76;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,mostCurrent.activityBA,mostCurrent,70);
 BA.debugLineNum = 70;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(32);
 BA.debugLineNum = 72;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _btnaddpersnaccused_click() throws Exception{
try {
		Debug.PushSubsStack("BtnAddPersnAccused_Click (main) ","main",0,mostCurrent.activityBA,mostCurrent,77);
String _a = "";
String _b = "";
 BA.debugLineNum = 77;BA.debugLine="Sub BtnAddPersnAccused_Click";
Debug.ShouldStop(4096);
 BA.debugLineNum = 78;BA.debugLine="Dim a As String";
Debug.ShouldStop(8192);
_a = "";Debug.locals.put("a", _a);
 BA.debugLineNum = 79;BA.debugLine="Dim b As String";
Debug.ShouldStop(16384);
_b = "";Debug.locals.put("b", _b);
 BA.debugLineNum = 80;BA.debugLine="a=EditDlgAcusedName.Text";
Debug.ShouldStop(32768);
_a = mostCurrent._editdlgacusedname.getText();Debug.locals.put("a", _a);
 BA.debugLineNum = 81;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _btncancelpersonaccused_click() throws Exception{
try {
		Debug.PushSubsStack("BtnCancelPersonAccused_Click (main) ","main",0,mostCurrent.activityBA,mostCurrent,82);
 BA.debugLineNum = 82;BA.debugLine="Sub BtnCancelPersonAccused_Click";
Debug.ShouldStop(131072);
 BA.debugLineNum = 83;BA.debugLine="PnlDialogAccCmp.Visible=False";
Debug.ShouldStop(262144);
mostCurrent._pnldialogacccmp.setVisible(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 84;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

public static void initializeProcessGlobals() {
    if (mostCurrent != null && mostCurrent.activityBA != null) {
Debug.StartDebugging(mostCurrent.activityBA, 49972, new int[] {3}, "85d3235a-27a2-4560-84ae-57c9eaafca2e");}

    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="Private PnlDialogAccCmp As Panel";
mostCurrent._pnldialogacccmp = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Private BtnAddPersnAccused As Button";
mostCurrent._btnaddpersnaccused = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Private BtnCancelPersonAccused As Button";
mostCurrent._btncancelpersonaccused = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Private EditDlgAccPh As EditText";
mostCurrent._editdlgaccph = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Private EditDlgAcusedName As EditText";
mostCurrent._editdlgacusedname = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Private LblDialogAccName As Label";
mostCurrent._lbldialogaccname = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Private LblDialogAccPh As Label";
mostCurrent._lbldialogaccph = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private LvDialogAccPerson As ListView";
mostCurrent._lvdialogaccperson = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 33;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
}
